<?php if (!defined('PmWiki')) exit ();
   
define(TRANSLATELINK_VERSION, '2006-12-27a');
                                 
Markup('translatelink', 'directives',
  '/\\(:translatelink (.*?)\\s*:\\)/ei',
   "AddTranslateLink('$1')");      

function AddTranslateLink($str) {  
  global $PubDirUrl, $ScriptUrl, $pagename;

  // parse the [[Double Bracket]] syntax
  $pieces = explode(" ", $str);

  // seperate the pieces in to $key and $value  pairs
  foreach($pieces as $piece) {
    list($key,$value) = explode("=", $piece);
    $vars["$key"] = $value;
   }

  $ix = 30;
  $ix = 20;

  if ($vars["size"] == "small") {
    $ix = 15;
    $iy = 10;
  }

  $url	 = $ScriptUrl . "/" . $pagename;                
  $style = $vars["style"];

  $links[0] = "<input name='langpair' value='en|fr' title='Fran&#231;ais/French' src='$PubDirUrl/flags/france.jpg' alt='FR' height='$iy' type='image' width='$ix'>";
  $links[1] = "<input name='langpair' value='en|de' title='Deutsch/German' src='$PubDirUrl/flags/germany.jpg' alt='DE' height='$iy' type='image' width='$ix'>";  
  $links[2] = "<input name='langpair' value='en|it' title='Italiano/Italian' src='$PubDirUrl/flags/italy.jpg' alt='IT' height='$iy' type='image' width='$ix'>";
  $links[3] = "<input name='langpair' value='en|pt' title='Portugu&#234;s/Portuguese' src='$PubDirUrl/flags/portugal.jpg' alt='PT' height='$iy' type='image' width='$ix'>";
  $links[4] = "<input name='langpair' value='en|es' title='Espa&#241;ol/Spanish' src='$PubDirUrl/flags/spain.jpg' alt='ES' height='$iy' type='image' width='$ix'>";
  $links[5] = "<input name='langpair' value='en|ja' title='&#26085;&#26412;&#35486;/Japanese' src='$PubDirUrl/flags/japan.jpg' alt='JP' height='$iy' type='image' width='$ix'>";
  $links[6] = "<input name='langpair' value='en|ko' title='&#54620;&#44397;&#50612;/Korean' src='$PubDirUrl/flags/korea.jpg' alt='KR' height='$iy' type='image' width='$ix'>";
  $links[7] = "<input name='langpair' value='en|zh-CN' title='&#20013;&#25991;&#65288;&#31616;&#20307;&#65289;/Chinese Simplified' src='$PubDirUrl/flags/china.jpg' alt='CN' height='$iy' type='image' width='$ix'>";
  $links[8] = "<input name='langpair' value='en|ar' title='&#1593;&#1585;&#1576;&#1610;/Arabic' src='$PubDirUrl/flags/sa.jpg' alt='SA' height='$iy' type='image' width='$ix'>";
  $links[9] = "<input name='langpair' value='en|ru' title='&#1056;&#1091;&#1089;&#1089;&#1082;&#1080;&#1081;/Russian' src='$PubDirUrl/flags/russia.jpg' alt='RU' height='$iy' type='image' width='$ix'>";

  $r  = "<form action='http://www.google.com/translate' target='_blank'>\n";
  $r .= "<input name='u' value='$url' type='hidden' />\n";
  $r .= "<input name='hl' value='en' type='hidden'>\n";
  $r .= "<input name='ie' value='UTF8' type='hidden'>\n";
  $r .= "<table>\n";

  if ($style == "2line") {
    $r .= "<tr>\n";
    for ($i = 0; $i < 5; $i++) {
      $r .= "<td>$links[$i]</td>\n";
    }
    $r .= "</tr>\n<tr>\n";
    for ($i = 5; $i < 10; $i++) {
      $r .= "<td>$links[$i]</td>\n";
    }
    $r .= "</tr>\n";    
   }

  if ($style == "horizontal") {
    $r .= "<tr>\n";
    for ($i = 0; $i < 10; $i++) {
      $r .= "<td>$links[$i]</td>\n";
    }
    $r .= "</tr>\n";
   }

   if ($style == "vertical") {
    for ($i = 0; $i < 10; $i++) {
      $r .= "<tr>\n";
      $r .= "<td>$links[$i]</td>\n";
      $r .= "</tr>\n";
    }
   }
   
  $r .= "</table>\n";
  $r .= "</form>";

  $r = Keep("$r");
  return "$r";
}

